var NAVTREE =
[
  [ "EDF - OnePIC MCU", "index.html", [
    [ "Engineering Design Forum (EDF) Documentation 2012", "index.html", null ],
    [ "Related Pages", "pages.html", [
      [ "8bit IR Demo User's Guide", "howto8bit.html", null ],
      [ "16bit Wirless Demo User's Guide", "howto16bit.html", null ],
      [ "32bit Wifi Demo User's Guide", "howto32bit.html", null ]
    ] ],
    [ "Modules", "modules.html", [
      [ "8bit", "group__eight__bit.html", [
        [ "ISR", "group__eight__bit__isr.html", null ],
        [ "mTouch", "group__eight__bit__mtouch.html", null ],
        [ "Potentiometer", "group__eight__bit__pot.html", null ],
        [ "Timers", "group__eight__bit__timer.html", null ],
        [ "8bit Demo", "group__eight__bit__demo.html", [
          [ "IrDA PICtail", "group__irda.html", null ],
          [ "ISR", "group__demo__isr.html", null ],
          [ "MCP2200 - USB", "group__mcp2200.html", null ],
          [ "mTouch", "group__mtouch__8bit__demo.html", null ]
        ] ]
      ] ],
      [ "16bit", "group__sixteen__bit.html", [
        [ "ISR", "group__sixteen__bit__isr.html", null ],
        [ "mTouch", "group__sixteen__bit__mtouch.html", null ],
        [ "Potentiometer", "group__sixteen__bit__pot.html", null ],
        [ "Timers", "group__sixteen__bit__timer.html", null ]
      ] ],
      [ "32bit", "group__thirtytwo__bit.html", [
        [ "ISR", "group__thirtytwo__bit__isr.html", null ],
        [ "mTouch", "group__thirtytwo__bit__mtouch.html", null ],
        [ "Potentiometer", "group__thirtytwo__bit__pot.html", null ],
        [ "Timers", "group__thirtytwo__bit__timer.html", null ]
      ] ],
      [ "Base Code", "group__base.html", [
        [ "I2C", "group__i2c.html", null ],
        [ "LCD", "group__lcd.html", null ],
        [ "LED", "group__led.html", null ],
        [ "mTouch", "group__mtouch.html", null ],
        [ "RTCC", "group__rtcc.html", null ]
      ] ]
    ] ],
    [ "Data Structures", "annotated.html", [
      [ "i2cBus", "structi2c_bus.html", null ],
      [ "IR_DEMO_FLAG", "struct_i_r___d_e_m_o___f_l_a_g.html", null ],
      [ "IR_DEMO_RX", "struct_i_r___d_e_m_o___r_x.html", null ],
      [ "tagRTCC", "structtag_r_t_c_c.html", null ],
      [ "trb", "structtrb.html", null ]
    ] ],
    [ "Data Structure Index", "classes.html", null ],
    [ "Data Fields", "functions.html", null ],
    [ "File List", "files.html", [
      [ "source/16bit/OnePIC_16bit_int.c", "_one_p_i_c__16bit__int_8c.html", null ],
      [ "source/16bit/OnePIC_16bit_isr.c", "_one_p_i_c__16bit__isr_8c.html", null ],
      [ "source/16bit/OnePIC_16bit_mtouch.c", "_one_p_i_c__16bit__mtouch_8c.html", null ],
      [ "source/16bit/OnePIC_16bit_pot.c", "_one_p_i_c__16bit__pot_8c.html", null ],
      [ "source/16bit/OnePIC_16bit_timer.c", "_one_p_i_c__16bit__timer_8c.html", null ],
      [ "source/16bit/include/bsp.h", "16bit_2include_2bsp_8h.html", null ],
      [ "source/32bit/OnePIC_32bit_int.c", "_one_p_i_c__32bit__int_8c.html", null ],
      [ "source/32bit/OnePIC_32bit_isr.c", "_one_p_i_c__32bit__isr_8c.html", null ],
      [ "source/32bit/OnePIC_32bit_mtouch.c", "_one_p_i_c__32bit__mtouch_8c.html", null ],
      [ "source/32bit/OnePIC_32bit_pot.c", "_one_p_i_c__32bit__pot_8c.html", null ],
      [ "source/32bit/OnePIC_32bit_timer.c", "_one_p_i_c__32bit__timer_8c.html", null ],
      [ "source/32bit/include/bsp.h", "32bit_2include_2bsp_8h.html", null ],
      [ "source/32bit/include/HardwareProfile.h", null, null ],
      [ "source/32bit/include/mTouchConfig.h", null, null ],
      [ "source/8bit/OnePIC_8bit_int.c", "_one_p_i_c__8bit__int_8c.html", null ],
      [ "source/8bit/OnePIC_8bit_isr.c", "_one_p_i_c__8bit__isr_8c.html", null ],
      [ "source/8bit/OnePIC_8bit_mtouch.c", "_one_p_i_c__8bit__mtouch_8c.html", null ],
      [ "source/8bit/OnePIC_8bit_pot.c", "_one_p_i_c__8bit__pot_8c.html", null ],
      [ "source/8bit/OnePIC_8bit_timer.c", "_one_p_i_c__8bit__timer_8c.html", null ],
      [ "source/8bit/include/bsp.h", "8bit_2include_2bsp_8h.html", null ],
      [ "source/8bit_IR/OnePIC_8bit_demo_irda.c", "_one_p_i_c__8bit__demo__irda_8c.html", null ],
      [ "source/8bit_IR/OnePIC_8bit_demo_irda.h", "_one_p_i_c__8bit__demo__irda_8h.html", null ],
      [ "source/8bit_IR/OnePIC_8bit_demo_isr.c", "_one_p_i_c__8bit__demo__isr_8c.html", null ],
      [ "source/8bit_IR/OnePIC_8bit_demo_isr.h", "_one_p_i_c__8bit__demo__isr_8h.html", null ],
      [ "source/8bit_IR/OnePIC_8bit_demo_main.c", "_one_p_i_c__8bit__demo__main_8c.html", null ],
      [ "source/8bit_IR/OnePIC_8bit_demo_main.h", "_one_p_i_c__8bit__demo__main_8h.html", null ],
      [ "source/8bit_IR/OnePIC_8bit_demo_mcp2200.c", "_one_p_i_c__8bit__demo__mcp2200_8c.html", null ],
      [ "source/8bit_IR/OnePIC_8bit_demo_mcp2200.h", "_one_p_i_c__8bit__demo__mcp2200_8h.html", null ],
      [ "source/8bit_IR/OnePIC_8bit_demo_mtouch.c", "_one_p_i_c__8bit__demo__mtouch_8c.html", null ],
      [ "source/8bit_IR/OnePIC_8bit_demo_mtouch.h", "_one_p_i_c__8bit__demo__mtouch_8h.html", null ],
      [ "source/base/main16.c", "main16_8c.html", null ],
      [ "source/base/main32.c", "main32_8c.html", null ],
      [ "source/base/main8.c", "main8_8c.html", null ],
      [ "source/base/OnePIC_i2c.c", "_one_p_i_c__i2c_8c.html", null ],
      [ "source/base/OnePIC_lcd.c", "_one_p_i_c__lcd_8c.html", null ],
      [ "source/base/OnePIC_led.c", "_one_p_i_c__led_8c.html", null ],
      [ "source/base/OnePIC_mtouch.c", "_one_p_i_c__mtouch_8c.html", null ],
      [ "source/base/OnePIC_rtcc.c", "_one_p_i_c__rtcc_8c.html", null ],
      [ "source/base/OnePIC_switch.c", "_one_p_i_c__switch_8c.html", null ],
      [ "source/base/include/OnePIC_i2c.h", "_one_p_i_c__i2c_8h.html", null ],
      [ "source/base/include/OnePIC_int.h", "_one_p_i_c__int_8h.html", null ],
      [ "source/base/include/OnePIC_isr.h", "_one_p_i_c__isr_8h.html", null ],
      [ "source/base/include/OnePIC_lcd.h", "_one_p_i_c__lcd_8h.html", null ],
      [ "source/base/include/OnePIC_led.h", "_one_p_i_c__led_8h.html", null ],
      [ "source/base/include/OnePIC_mtouch.h", "_one_p_i_c__mtouch_8h.html", null ],
      [ "source/base/include/OnePIC_pot.h", "_one_p_i_c__pot_8h.html", null ],
      [ "source/base/include/OnePIC_rtcc.h", "_one_p_i_c__rtcc_8h.html", null ],
      [ "source/base/include/OnePIC_switch.h", "_one_p_i_c__switch_8h.html", null ],
      [ "source/base/include/OnePIC_timer.h", "_one_p_i_c__timer_8h.html", null ],
      [ "source/Microchip/Common/TimeDelay.c", "_time_delay_8c.html", null ]
    ] ],
    [ "Globals", "globals.html", null ]
  ] ]
];

function createIndent(o,domNode,node,level)
{
  if (node.parentNode && node.parentNode.parentNode)
  {
    createIndent(o,domNode,node.parentNode,level+1);
  }
  var imgNode = document.createElement("img");
  if (level==0 && node.childrenData)
  {
    node.plus_img = imgNode;
    node.expandToggle = document.createElement("a");
    node.expandToggle.href = "javascript:void(0)";
    node.expandToggle.onclick = function() 
    {
      if (node.expanded) 
      {
        $(node.getChildrenUL()).slideUp("fast");
        if (node.isLast)
        {
          node.plus_img.src = node.relpath+"ftv2plastnode.png";
        }
        else
        {
          node.plus_img.src = node.relpath+"ftv2pnode.png";
        }
        node.expanded = false;
      } 
      else 
      {
        expandNode(o, node, false);
      }
    }
    node.expandToggle.appendChild(imgNode);
    domNode.appendChild(node.expandToggle);
  }
  else
  {
    domNode.appendChild(imgNode);
  }
  if (level==0)
  {
    if (node.isLast)
    {
      if (node.childrenData)
      {
        imgNode.src = node.relpath+"ftv2plastnode.png";
      }
      else
      {
        imgNode.src = node.relpath+"ftv2lastnode.png";
        domNode.appendChild(imgNode);
      }
    }
    else
    {
      if (node.childrenData)
      {
        imgNode.src = node.relpath+"ftv2pnode.png";
      }
      else
      {
        imgNode.src = node.relpath+"ftv2node.png";
        domNode.appendChild(imgNode);
      }
    }
  }
  else
  {
    if (node.isLast)
    {
      imgNode.src = node.relpath+"ftv2blank.png";
    }
    else
    {
      imgNode.src = node.relpath+"ftv2vertline.png";
    }
  }
  imgNode.border = "0";
}

function newNode(o, po, text, link, childrenData, lastNode)
{
  var node = new Object();
  node.children = Array();
  node.childrenData = childrenData;
  node.depth = po.depth + 1;
  node.relpath = po.relpath;
  node.isLast = lastNode;

  node.li = document.createElement("li");
  po.getChildrenUL().appendChild(node.li);
  node.parentNode = po;

  node.itemDiv = document.createElement("div");
  node.itemDiv.className = "item";

  node.labelSpan = document.createElement("span");
  node.labelSpan.className = "label";

  createIndent(o,node.itemDiv,node,0);
  node.itemDiv.appendChild(node.labelSpan);
  node.li.appendChild(node.itemDiv);

  var a = document.createElement("a");
  node.labelSpan.appendChild(a);
  node.label = document.createTextNode(text);
  a.appendChild(node.label);
  if (link) 
  {
    a.href = node.relpath+link;
  } 
  else 
  {
    if (childrenData != null) 
    {
      a.className = "nolink";
      a.href = "javascript:void(0)";
      a.onclick = node.expandToggle.onclick;
      node.expanded = false;
    }
  }

  node.childrenUL = null;
  node.getChildrenUL = function() 
  {
    if (!node.childrenUL) 
    {
      node.childrenUL = document.createElement("ul");
      node.childrenUL.className = "children_ul";
      node.childrenUL.style.display = "none";
      node.li.appendChild(node.childrenUL);
    }
    return node.childrenUL;
  };

  return node;
}

function showRoot()
{
  var headerHeight = $("#top").height();
  var footerHeight = $("#nav-path").height();
  var windowHeight = $(window).height() - headerHeight - footerHeight;
  navtree.scrollTo('#selected',0,{offset:-windowHeight/2});
}

function expandNode(o, node, imm)
{
  if (node.childrenData && !node.expanded) 
  {
    if (!node.childrenVisited) 
    {
      getNode(o, node);
    }
    if (imm)
    {
      $(node.getChildrenUL()).show();
    } 
    else 
    {
      $(node.getChildrenUL()).slideDown("fast",showRoot);
    }
    if (node.isLast)
    {
      node.plus_img.src = node.relpath+"ftv2mlastnode.png";
    }
    else
    {
      node.plus_img.src = node.relpath+"ftv2mnode.png";
    }
    node.expanded = true;
  }
}

function getNode(o, po)
{
  po.childrenVisited = true;
  var l = po.childrenData.length-1;
  for (var i in po.childrenData) 
  {
    var nodeData = po.childrenData[i];
    po.children[i] = newNode(o, po, nodeData[0], nodeData[1], nodeData[2],
        i==l);
  }
}

function findNavTreePage(url, data)
{
  var nodes = data;
  var result = null;
  for (var i in nodes) 
  {
    var d = nodes[i];
    if (d[1] == url) 
    {
      return new Array(i);
    }
    else if (d[2] != null) // array of children
    {
      result = findNavTreePage(url, d[2]);
      if (result != null) 
      {
        return (new Array(i).concat(result));
      }
    }
  }
  return null;
}

function initNavTree(toroot,relpath)
{
  var o = new Object();
  o.toroot = toroot;
  o.node = new Object();
  o.node.li = document.getElementById("nav-tree-contents");
  o.node.childrenData = NAVTREE;
  o.node.children = new Array();
  o.node.childrenUL = document.createElement("ul");
  o.node.getChildrenUL = function() { return o.node.childrenUL; };
  o.node.li.appendChild(o.node.childrenUL);
  o.node.depth = 0;
  o.node.relpath = relpath;

  getNode(o, o.node);

  o.breadcrumbs = findNavTreePage(toroot, NAVTREE);
  if (o.breadcrumbs == null)
  {
    o.breadcrumbs = findNavTreePage("index.html",NAVTREE);
  }
  if (o.breadcrumbs != null && o.breadcrumbs.length>0)
  {
    var p = o.node;
    for (var i in o.breadcrumbs) 
    {
      var j = o.breadcrumbs[i];
      p = p.children[j];
      expandNode(o,p,true);
    }
    p.itemDiv.className = p.itemDiv.className + " selected";
    p.itemDiv.id = "selected";
    $(window).load(showRoot);
  }
}

