/**
 * @file OnePIC_32bit_isr.c
 * @brief interrupt routine for the 32bit base code demonstartion
 * @defgroup thirtytwo_bit_isr ISR
 * @ingroup thirtytwo_bit
 * @{
 */


#include "OnePIC_isr.h"
#include "OnePIC_lcd.h"
#include "OnePIC_int.h"
#include "mTouchCapAPI.h"
#include "mTouchConfig.h"
#include "mTouchCapTmr.h"
#include "OnePIC_i2c.h"

/**
 * @brief interrupt service routine for 32bit base code demo
 * @note only the i2c vector loaded here...mtouch is not interrupt driven
 */
void __ISR(_I2C_1_VECTOR, ipl4) I2CISR(void)
{
    ISR_i2c();
}
/**@}*/
